export class SettingsSubscriber {
    settings;
    connections = [];
    constructor(settings) {
        this.settings = settings;
    }
    connect = (id, callback, ...args) => {
        const connectionId = this.settings.connect(id, callback, ...args);
        this.connections.push(connectionId);
        return connectionId;
    };
    disconnect() {
        for (const connection of this.connections) {
            this.settings.disconnect(connection);
        }
    }
}
